Subject: bug#66667: [PATCH] Socket forwarding in emacsclient --tramp-prefix example

From: Peter Oliver <[email-masked]>
Date: Sun, 22 Oct 2023 17:53:46 +0100 (BST)

On Sun, 22 Oct 2023, Eli Zaretskii wrote:

>> Cc: [email-masked]
>> From: Michael Albinus <[email-masked]>
>> Date: Sun, 22 Oct 2023 09:43:20 +0200
>>
>>> +If you are using a platform that does not have Unix domain sockets
>>> +(i.e., MS-Windows), or SSH implementations that are not able to
>>
>> I'm not sure whether MS-Windows supports UNIX domain sockets or not.
>
> It supports them only ion latest builds of Windows 10 and 11.

I see from lib-src/emacsclient.c that they’re used only if SOCKETS_IN_FILE_SYSTEM is defined, which is only the case if WINDOWSNT is not defined.  I’ll update the wording not to imply that they don’t exist, only that we don’t use them.

-- 
Peter Oliver